@import '../../styles/colors.scss';
@import '../../styles//forms.scss';
@import '../../../node_modules/animatewithsass/properties.scss';
@import '../../../node_modules/animatewithsass/_attention-seekers/rubberBand.scss';

.FilterBuilder {
   background-color: $color1;
   min-height: 200px;
   width: 500px;
   overflow: hidden;
   color: #fff;
   display: flex;
   flex-direction: column;
   transition: width ease-in 300ms;

   &.hidden {
      width: 0%;
   }

   &__header {
      text-align: center;
      font-weight: bold;
      border-bottom: 3px solid $color2;
      flex-basis: 10%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0 12px;
      background-color: #fff;
      color: #000;

      &__title {
         font-weight: bold;
      }

      .btn-icon {
         cursor: pointer;

         &:hover {
            // @include rubberBand($duration: 5s);
         }
      }
   }

   &__body {
      flex-basis: 90%;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      width: 100%;

      &__fields {
         padding: 12px;
         display: flex;
         align-items: center;
         flex-direction: column;
         flex-basis: 90%;
         width: 100%;

         .field {
            width: 70%;
            margin: 24px 0;

            .number-input-group {
               &__header {
                  margin-bottom: 4px;

                  .field-label {
                     margin-right: 12px;
                  }

                  i.large.icons {
                     vertical-align: super;
                     cursor: pointer;
                  }
               }

               &__row {
                  display: flex;
                  align-items: center;
                  justify-content: space-between;
                  margin: 6px;

                  .icon {
                     margin-left: 6px;
                     cursor: pointer;
                  }

               }
            }

         }

      }

      &__actions {
         flex-basis: 10%;
         padding: 12px 0;
         background-color: #fff;
         width: 100%;
         display: flex;
         justify-content: center;
         align-items: center;

         .btn {
            width: 150px;
            height: 30px;

         }

      }
   }
}